2020-2021 School Year Zones

Notes on Elementary School Zones:

  • Liscano Elementary: Enrollment at Liscano Elementary exceeded capacity during the 2019-20 school year. The campus was built to serve 760 students, and enrollment will continue to exceed that number in the 2020-21 school year. As a result, new students in grades 1-5 who live in the Liscano Elementary attendance zone and enroll after October 1, 2019, will attend Norris Elementary instead. Busing will be provided at no cost from Liscano Elementary to Norris Elementary. New Kindergarten students will be permitted to enroll at Liscano Elementary for the 2020-21 school year. If a family has a Kindergarten student and older siblings, the family can choose to enroll both students at Norris or the Kindergarten student can attend Liscano and the older sibling(s) can attend Norris. 

     

  • Nichols Elementary: Enrollment at Nichols Elementary exceeded capacity during the 2019-20 school year. The campus was built to serve 760 students, and enrollment will continue to exceed that number in the 2020-21 school year. As a result, new students in grades 1-5 who live in the Nichols Elementary attendance zone and enroll after January 10, 2020, will attend Bledsoe Elementary instead. Busing will be provided at no cost from Nichols Elementary to Bledsoe Elementary. New Kindergarten students will be permitted to enroll at Nichols Elementary for the 2020-21 school year. If a family has a Kindergarten student and older siblings, the family can choose to enroll both students at Bledsoe or the Kindergarten student can attend Nichols and the older sibling(s) can attend Bledsoe.  

School Zone Maps

These maps are just guides. The following maps can be used to determine school zones for addresses but are not 100% accurate. A campus can confirm your address and zone location.

Video Tutorial: Using Zone Maps

Your browser is out-of-date.

Update your browser to view this website correctly. Update my browser now

At this time the Frisco ISD website requires Internet Explorer 9 or later.

If you are on IE 9 or later and are seeing this error then your browser may be running as a previous version.

×